> ## Documentation Index
> Fetch the complete documentation index at: https://docs.methodfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Connects

Retrieve a list of Connects for a specific Entity.

## Path Parameters

## Query Parameters

{(() => {
const { name, type, description, enums } = ConnectExpandQueryParam();
return (
  <ParamList
    items={[
      { name, type, description, enums },
    ]}
  />
);
})()}

## Returns

Returns a list of Connects.

```bash cURL theme={null}
curl "https://production.methodfi.com/entities/ent_yVf3mkzbhz9tj/connect" \
  -H "Method-Version: 2026-03-30" \
  -H "Authorization: Bearer sk_WyZEWVfTcH7GqmPzUPk65Vjc"
```

```javascript Node.js theme={null}
const response = await method
  .entities('ent_yVf3mkzbhz9tj')
  .connect
  .list();
```

```python Python theme={null}
response = method
  .entities('ent_yVf3mkzbhz9tj')
  .connect
  .list()
```

```json theme={null}
{
  "success": true,
  "data": [
    {
      "id": "cxn_4ewMmBbjYDMR4",
      "entity_id": "ent_qKNBB68bfHGNA",
      "status": "completed",
      "accounts": [
        "acc_eKKmrXDpJBKgw",
        "acc_GV8WbmJW7KGRy",
        "acc_MLPKh9gQDDbT8",
        "acc_LbXE8wVYJLrKt",
        "acc_J3P9fayDFjpAy",
        "acc_eFFRV9zmpLREK"
      ],
      "requested_products": [],
      "requested_subscriptions": [],
      "error": null,
      "created_at": "2024-04-12T14:56:46.645Z",
      "updated_at": "2024-04-12T14:56:46.645Z"
    },
    {...}
  ],
  "message": null
}
```


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.